<%@ Page CodeFileBaseClass="AliCMS.Lib.SystemPageBase" %>
<script language="c#" runat="server">
protected string Condition()
{
	StringBuilder condition = new StringBuilder();
	
	string[] nos = Request.QueryString["Nos"].Split('|');
	for (int i = 0; i < nos.Length; i++)
	{
		if (i > 0)
			condition.Append(" OR ");

		condition.Append("(" + Alias.Stock.GoodsNo + "='" + nos[i] + "' OR " + Alias.Stock.GoodsNo + " LIKE '%" + nos[i] + "%')");
	}
	
	return condition.ToString();
}
</script>
[
	<ali:List Object="Stock" Condition="Condition()">
			<ali:Record>
				{"no":"<%=GoodsNo%>","spec":"<%=Manager.Escape(GoodsSpec)%>","supplierName":"<%=SupplierName%>","supplierId":"<%=SupplierID%>","categoryName":"<%=CategoryName%>","categoryId":"<%=CategoryID%>","categoryParentChain":"<%=CategoryParentChain%>"}
				<ali:Separator>,</ali:Separator>
			</ali:Record>
	</ali:List>
]
